You are here

Issue Downloading GIMP

Hello!
Let me forward with saying that I am absolutely new at using linux. I have Ubuntu 10.10 and went to the "Ubuntu Software Center" to download GIMP. I clicked install and entered my password and then said "Requires installation of untrusted packages. The action would require the installation of packages from not authenticated sources. Details: libbabl-0.0-0 libgegl-0.0-0 libhal1 libilmbase6 libopenexr6"
Any ideas on what to do?

Forums: 
Subscribe to Comments for "Issue Downloading GIMP"